const defaultLanguage = "EN";
const statsLang = "EN";
let currentLanguage = defaultLanguage;
const defaultContentLanguage = defaultLanguage;

const keyboardlayouts = {
    EN: "qwerty",
    ZH: "qwerty",
    AR: "arabic",
    TH: "qwerty",
	MS: "qwerty",
	TA: "qwerty",
	JA: "qwerty",
    UR: "urdu"
};
const momentlocale = {
    EN: "en",
    AR: "ar",
    ZH: "en",
    TH: "th",
	MS: "ms",
	TA: "ta",
	JA: "ja",
    UR: "ur"
};

const langNames = {
    EN: "ENG",
    AR: "العربية",
    ZH: "中文",
    TH: "TH",
	MS: "BM",
	TA: "தமிழ்",
	JA: "日本語",
    UR: "اردو"

};

const dateFormats = {
    EN: "ddd MMMM D, Y",
    ZH: "ddd MMMM D, Y",
    AR: "ddd MMMM D, Y",
    TH: "ddd MMMM D, Y",
	MS: "ddd MMMM D, Y",
	TA: "ddd MMMM D, Y",
	JA: "ddd MMMM D, Y"
};

const translations = {
    home: {EN: "Home", AR: "الصفحة الرئيسية", ZH: "Home", TH: "บ้าน", MS: "Rumah", UR: "سرورق"},
    shop: {EN: "Shop", AR: "المحلات", ZH: "搜寻", MS: "Kedai", TA:"கடை", JA:"ショップ", UR: "خریداری"},
    entertain: {EN: "Entertain", AR: "", ZH: "", TH: "", MS: "", TA:"", JA:"", UR: "تفریح"},
	fashion: {EN: "Fashion", AR: "", ZH: "时尚", TH:"", MS: "Fesyen", TA:"ஃபேஷன்", JA:"ファッション"},
    dine: {EN: "Dine", AR: "", ZH: "", TH:"", MS: "", TA:"", JA:"", UR: "کھانا"},
    floor: {EN: "Level", AR: "مستوى", ZH: "地面", TH: "ระดับ", MS: "Tingkat", TA:"தரை", JA:"床", UR:"منزل"},
    unit: {EN: "Unit", AR: "Unit", ZH: "Unit", TH: "หน่วย", MS: "Unit", UR: "دکان نمبر"},

    announcements: {EN: "HAPPENINGS", AR: "", ZH: "", TH: "", MS: "", TA: "", JA: ""},
	deals: {EN: "Offers", AR: "", ZH: "", TH: "", MS: "", TA: "", JA: "", UR: "پیشکش"},
    events: {EN: "Events", AR: "", ZH: "", TH: "", MS: "", TA: "", JA: "", UR: "تقریبات"},
    infos: {EN: "CONCIERGE", AR: "معلومات", ZH: "Information", TH: "ข้อมูล", MS: "Maklumat"},
    stores: {EN: "Stores", AR: "المحلات", ZH: "Stores", TH: "ร้านค้า", MS: "Kedai"},
    services: {EN: "Services", AR: "الخدمات", ZH: "Services", TH: "บริการ", MS: "Perkhidmatan"},
    facilities: {EN: "Facilities", AR: "Facilities", ZH: "Facilities", TH: "สิ่งอำนวยความสะดวก", MS: "Kemudahan"},
    categories: {EN: "Category View", AR: "التصنيفات", ZH: "Categories", TH: "หมวดหมู่", MS: "Kategori", UR:"دکان کی اقسام"},
    search: {EN: "Search", AR: "التصنيفات", ZH: "Search", TH: "ค้นหา", MS: "Carian", UR: "تلاش کریں"},
    list: {EN: "List View", AR: "التصنيفات", ZH: "Search", TH: "ค้นหา", MS: "Carian", UR: "تلاش کریں"},
    map: {EN: "Show Map", AR: "عرض الخريطة", ZH: "Show Map", TH: "แสดงแผนที่", MS: "Tunjukkan Peta"},
    parking: {EN: "Parking", AR: "Parking", ZH: "停车处", TH: "ที่จอดรถ", MS: "Ruang Parkir", TA:"வாகன நிறுத்துமிடம்", JA:"パーキング"},
	dropoff: {EN: "Drop-Off", AR: "", ZH: "", TH: "", TH: "", MS: "Kawasan Turunkan Penumpang"},
	atm: {EN: "ATM / MACHINES", AR: "", ZH: "自动取款机", TH: "", MS: "ATM", TA:"ஏடிஎம்", JA:"ATM"},
    highlights: {EN: "what's on", AR: "", ZH: "", TH: "", MS: "", TA:"", JA:""},
    description: {EN: "About", AR: "", ZH: "", TH: "", MS: "", TA:"", JA:""},
    reset: {EN: "Map Reset", AR: "", ZH: "", TH: "", MS: "", TA:"", JA:"", UR: "نقشہ دوبارہ ترتیب دیں"},

    helpline: {
        EN: "<span style='font-size:3rem;'>For Queries Contact (042) 111-362-111</span>",
        AR: "",
        ZH: "",
        TH: "",
        MS: "",
        TA: "",
        JA: "",
        UR: "<span style='font-size:3rem;'>(042) 111-362-111 معلومات کے لیے رابطہ کریں</span>"
    },

    deals_and_events: { EN: "All", AR: "كافة", ZH: "全部", TH: "ทั้งหมด", MS: "Semua", TA: "அனைத்தும்", JA: "すべて"},
    tap_for_more: { EN: "TAP FOR MORE" },

    ongoing: { EN: "Ongoing", AR: "جاري", ZH: "Ongoing", TH: "กำลังดำเนินการ", MS: "Sedang berlangsung"},
    future: { EN: "Upcoming", AR: "آت", ZH: "Upcoming", TH: "กำลังจะเกิดขึ้น", MS: "Akan datang"},
	wifi: { EN: "Wifi", AR: "", ZH: "", TH: "", MS: ""},
	transport: { EN: "Transport", AR: "", ZH: "", TH: "", MS: ""},

    similar_stores: {
        EN: "Similar Stores",
        FR: "Commerces équivalents",
        AR: "متاجر مماثلة",
        ZH: "同类商店",
        MS: "Kedai berkaitan",
        TH: "ร้านค้าที่คล้ายกัน"
    },

    items_not_available: {
        EN: "Sorry, not available for the moment.",
        AR: "عذرا ، غير متوفر في الوقت الراهن.",
        ZH: "Sorry, not available for the moment."
    },

    back: {EN: "Back", AR: "رجوع", ZH: "返回", TH: "กลับ", MS: "Belakang", UR:"پیچھے"},
    close: {EN: "Close", AR: "إغلاق", ZH: "关闭", TH: "ปิด", MS: "Tutup", UR:"بند کریں"},
    pmr: {EN: "ACCESSIBLE ROUTE", AR: "طريق خاصة باصحاب الهمم", ZH: "ACCESSIBLE ROUTE", TH: "เส้นทางที่สามารถเข้าถึงได้", MS: "LALUAN YANG DAPAT DIPAKAI"},

    searchtext_placeholder: {
        EN: "Search for shop or brand",
        AR: "البحث",
        ZH: "你想去哪里？",
		TH: "ค้นหา",
		MS: "Carian",
		TA: "தேடல்",
		JA: "探す",
        UR: "تلاش کرنے کے لیے ٹائپ کرنا شروع کریں۔"
    },
    height_adjust: {EN: "Height Adjust", ZH: "智能目录", UR: "مینو کو نیچے کریں"},
    take_me_there: {EN: "Directions", AR: "خذني هناك", ZH: "Directions", TH: "ทิศทาง", MS: "Arah", UR: "دکان کی سمت کا راستہ"},
    by_tag_results: {EN: "Related Stores", AR: "المتاجر ذات الصلة", ZH: "Related Stores", MS: "Kedai yang berkaitan"},
    go_to_nearest: {
        EN: "Show nearest",
        AR: "أرني الأقرب",
        ZH: "Show nearest",
		MS: "Arah terdekat"
    },
    qr_code_title: {
        EN: "Scan for mobile map",
        AR: "قم بتحميل الخريطة<br>على جوالك",
        ZH: "取得地图<br>在手机上",
		TH: "หาแผนที่บนมือถือของคุณ",
		MS: "Dapatkan peta ini <br>di telefon bimbit anda",
		TA: "வரைபடத்தைப் பெறுங்கள்<br>உங்கள் மொபைலில்",
		JA: "地図を入手する<br>あなたの携帯電話で",
        UR: " نقشہ کے لیے موبائل سے اسکین کریں"
    },
    qr_code_poi_title: {
        EN: "Scan for mobile map",
        AR: "قم بتحميل الخريطة<br>على جوالك",
        ZH: "Get Map<br>on your phone",
		TH: "หาแผนที่บนมือถือของคุณ",
		MS: "Dapatkan arah di <br>telefon bimbit anda",
        UR: " نقشہ کے لیے موبائل سے اسکین کریں"
    },
    path_desc: {
      EN: "Path across floor: <span style='font-size:6rem;color:#FA6D38;'>...</span>"
    },
    from: {EN: "From", AR: "من", ZH: "From", TH: "จาก", MS: "Dari"},
    to: {EN: "to", AR: "إلى", ZH: "to", TH: "ถึง", MS: "ke", UR: "سے"},
    on: {EN: "On", AR: "على", ZH: "On", TH: "บน", MS: "pada/di"},
    in: {EN: "in", AR: "في", ZH: "in", TH: "ใน", MS: "dalam masa"},
    till: {EN: "till", AR: "حتى", ZH: "in", TH: "จนถึง", MS: "hingga"},

    info: {EN: "Info", AR: "معلومات", ZH: "in", MS: "Maklumat"},
    destination: {EN: "Destination", AR: "الوجهة", ZH: "in", MS: "Destinasi"},
    map_result_header: {EN: "Directions", AR: "الاتجاهات", ZH: "Directions", TH: "ทิศทาง", MS: "Arah"},
    location: {EN: "Location", AR: "Location", ZH: "Location", TH: "สถานที่", MS: "Lokasi"},
    contact: {EN: "Contact", AR: "Contact", ZH: "Contact", TH: "ติดต่อ", MS: "Hubungi"},
    open_hours: {EN: "Open Hours", AR: "ساعات العمل", ZH: "Opening Hours", TH: "เวลาทำการ", MS: "Waktu Operasi"},

    more_info: {EN: "More Information", AR: "المزيد من المعلومات", ZH: "More Information", TH: "ข้อมูลมากกว่านี้", MS: "Maklumat lebih lanjut"},
    more_info_btn: {EN: "More Info", AR: "المزيد", NL: "MEER...", TH: "ข้อมูลที่มากกว่านี้", MS: "Maklumat lebih lanjut"},
    directions_to: {EN: "Directions to", AR: "الاتجاهات إلى", ZH: "in", TH: "ทิศทาง", MS: "Petunjuk ke"},
    distance: {EN: "DISTANCE", AR: "المسافة", ZH: "DISTANCE", TH: "ระยะทาง", MS: "Jarak"},
    time: {EN: "TIME", AR: "الوقت", ZH: "TIME", TH: "เวลา", MS: "MASA"},
    lift_route: {EN: "Lift Route", AR: "طريق المصعد", ZH: "in", TH: "ยกเส้นทาง", MS: "Laluan lif", UR: "لفٹ کے ذریعے راستہ"},
    replay: {EN: "Replay", AR: "إعادة", ZH: "in", TH: "เล่นซ้ำ", MS: "Ulang semula", UR: "دوبارہ چلائیں"},

    amenities: {EN: "Amenities", AR: "", ZH: "", TH: "", MS: "", TA:"", JA:""},
    more: {EN: "More Facilities", AR: "المزيد", ZH: "更多的", TH: "มากกว่า", MS: "Lebih lanjut", TA:"மேலும்", JA:"もっと", UR: "مزید سہولیات"},
    space: {EN: "_", AR: "_", ZH: "_", TH: "_", MS: "_"},

    full_view: { EN: "FULL VIEW" },
    startAt: {EN: "Starting at ", AR: "يبدأ من ", ZH: "Starting at ", TH: "เริ่มต้นที่", MS: "Bermula di"},
    yourPosition: {EN: "your position ", AR: "موقعك ", ZH: "your position ", TH: "ตำแหน่งของคุณ", MS: "kedudukan anda"},
    yourDestination: {EN: "your destination ", AR: "وجهتك ", ZH: "your destination ", TH: "ปลายทางของคุณ", MS: "destinasi anda"},
    take_the: {EN: "Take the ", AR: "خذ ", ZH: "Take the ", TH: "ใช้", MS: "Ambil", UR: "تک جائیں"},
    walk: {EN: "Walk to ", AR: "امشي الى ", ZH: "Walk to ", TH: "เดินไป", MS: "Berjalan ke"},
    to_level: {EN: " to level ", AR: " الى ألطابق ", ZH: " to level ", TH: "ในระดับ", MS: "ke tingkat"},

    u_r_here: {
        EN: "YOU<br>ARE<br>HERE",
        AR: "<br>أنت هنا<br>",
        "ZH-CHS": "现在<br>位置",
        UR: "آپ<br>یہاں<br>ہیں"
    },


    ur_looking_this_way: {
        EN: "You are here facing this way",
        AR: "أنت تواجه هذا الاتجاه",
        ZH: "You are here facing this way",
		TH: "คุณอยู่ที่นี่ หันหน้าไปทางนี้",
		MS: "Anda di sini, menuju ke arah ini",
        UR: "آپ کا رخ اسطرف ہے"
    },
    start_walk_this_way: {
        EN: "Start walking this way",
        AR: "إبدأ بالمشي بهذا الاتجاه",
        ZH: "Start walking this way",
		TH: "เริ่มเดินมาทางนี้",
		MS: "Mula berjalan ke arah ini",
        UR: "اس طرف چلیں"
    },
    power_by: { EN: "Wayfinding by abuzzsolutions.com" }
};

const custom_kb_layouts = {
    qwerty: {
        normal: ["Q W E R T Y U I O P {bksp}", "A S D F G H J K L &", "{shift} Z X C {space} V B N M"],
        shift: ["1 2 3 4 5 6 7 8 9 0 {bksp}", "! @ # $ % ; * - +", "{normal} {space} ? :"]
    },
    azerty: {
        normal: ["A Z E R T Y U I O P {bksp}", "Q S D F G H J K L M", "{shift} W X C {space} V B N & {shift}"],
        shift: ["1 2 3 4 5 6 7 8 9 0 {bksp}", "! @ # $ % ; * - +", "{normal} {space} ? : {normal}"]
    },
    pinyin: {
        shift: ["1 2 3 4 5 6 7 8 9 0 {bksp}", "! @ # $ % ; * - +", "{normal} {space} ? : {normal}"],
        normal: [
            "\u624B \u7530 \u6C34 \u53E3 \u5EFF \u535C \u5C71 \u6208 \u4EBA \u5FC3 {bksp}",
            "\u65E5 \u5C38 \u6728 \u706B \u571F \u7AF9 \u5341 \u5927 \u4E2D ",
            "{shift} \uFF3A \u96E3 \u91D1 \u5973 {space} \u6708 \u5F13 \u4E00 &"]
    },
    arabic: {
        normal: ["ض ص ث ق ف غ ع ه خ ح ج د {bksp}", "{shift} ذ ش س ي ب ل ا ت ن م ك ط {shift}", "أ ئ ء ؤ ر {space} لا ى ة و ز ظ"],
        shift: ["1 2 3 4 5 6 7 8 9 0 - = {bksp}", "ّ ! @ # $ % ^ & * _ + ", "{normal} ٍ  لأ ـ {space} ، / : {normal}"]
    },
    urdu: {
        normal: ["ق و ع ر ت ی ط ی ئ پ {bksp}", "ا س د ف گ ح ج ک ل ؛", "{shift} ز خ چ {space} ب ن م"],
        shift: ["۱ ۲ ۳ ۴ ۵ ۶ ۷ ۸ ۹ ۰ {bksp}", "! @ # $ % ؛ * - +", "{normal} {space} ؟ :"]
    },

};