const baseOpts = {
    qrCodeBaseUrl: "https://map.abuzzsolutions.asia/amap/map.php?site=DML&lazyld=true&mobile=true",
    siteBaseUrl: "/",
    mediaBaseUrl: "/cache",
    labelFontUrl: "assets/fonts/Circular_Pro_Book.json",
    amapBaseUrl: "/app/amap/",


    kiosks: {

        "Kent-RK3588": { startNodeId: "_27763_12465_1200", camera: [32524, -11082, 32182], scene: [32763, 16269, 1803] },
        "Vivocity-RK3588": { startNodeId: "_27174_23371_1200", camera: [31040, 76296, 64082], scene: [31354, 26673, 1803] },
        "Demo-Vivo": { startNodeId: "_27174_23371_1200", camera: [31040, 76296, 64082], scene: [31354, 26673, 1803] },
        "Paul-RK3588": { startNodeId: "_27174_23371_1200", camera: [31040, 76296, 64082], scene: [31354, 26673, 1803] },
        "Shujat-DML": { startNodeId: "_24180_1923_0", camera: [24947, -21246, 46116], scene: [25137, 10993, 2939] }

    },

    defaultViewsByNodeId: {
        "_24180_1923_0": { camera: [24947, -21246, 46116], scene: [25137, 10993, 2939] }, // Default
		
		"_15841_15280_0": { camera: [17828, 57202, 47672], scene: [17568, 13055, 2939] }, // DML-WF001-G101
		"_15841_15202_0": { camera: [25786, -28065, 39776], scene: [26018, 11262, 2939] }, // DML-WF002-G102
		"_24180_5069_0": { camera: [17828, 57202, 47672], scene: [17568, 13055, 2939] }, // DML-WF003-G103
		"_24180_4943_0": { camera: [25786, -28065, 39776], scene: [26018, 11262, 2939] }, // DML-WF004-G104
        "_32891_8669_0": { camera: [61130, 12505, 33771], scene: [29894, 12689, 2939] }, // DML-WF005-G105
        "_15834_15364_600": { camera: [25386, -16979, 43019], scene: [25368, 10565, 2939] }, // DML-WF006-L101
        "_24112_4841_600": { camera: [18515, 45462, 43915], scene: [18538, 10468, 2939] }, // DML-WF007-L102
        "_32817_8631_600": { camera: [55341, 10758, 27885], scene: [29735, 10741, 2939] }, // DML-WF008-L103
        "_33566_15364_600": { camera: [25369, -20107, 41522], scene: [25350, 9497, 2939] }, // DML-WF009-L104
        "_15042_12925_1200": { camera: [18606, 44107, 44370], scene: [18628, 9652, 2939] }, // DML-WF010-L201
        "_15413_7308_1200": { camera: [25733, -20485, 39920], scene: [25713, 11098, 2939] }, // DML-WF011-L202
        "_32903_8638_1200": { camera: [57143, 11230, 30580], scene: [28771, 11211, 2939] }, // DML-WF012-L203
        "_34323_12925_1200": { camera: [18606, 44107, 44370], scene: [18628, 9652, 2939] } // DML-WF013-L204

    },

    startNodeModel: {
        file: "app/assets/YOUAREHERE.obj",
        scale: [3, 3, 2],
        animate: false,
        animRotation: [0, 0, 5],
        animScale: [0.15, 7, 9],
        neutralRotation: true
    },

    // poiPinPointModel: {
    //     file: "app/assets/XXXX.obj",
    //     scale: [2, 2, 2],
    //     neutralRotation: true
    // },

    // ssTopBanner: {
    //     link: "/../app/assets/images/ss-top-banner.png",
    //     type: "IMAGE"
    // },



    uiKeyboard: true,
    uiKeyboardStayOpen: true,
    uiInteractionManager: true,
    noInteractionTimeoutSecs: 120, // secs
    newSessionTimeoutSecs: 25, // secs
    routeOpeningSoon: false,
    contextualSearch: false,
    searchSuggest: true,
    maxPOIsResults: 500,


    zoomInOutBtns: true,
    useFlyAnimation: true,
    orientPathPartDelay: 2000, // time in msecs
    pathAutoAnimate: true,
    pathAutoAnimateDelay: 0, // one second
    pathDirToPartAnimDelay: 1, // secs
    controlsRotate: true,
    controlsPan: true,
    controlsZoom: true,

    zoneTransitionDelay: 5000, // time in msecs
    mapAnimTime: 400, // time in msecs
    insideAreaDelta: 120, // pixels
    animPersonageSize: 180, // this is the sphere ray (in model units). used if no 3d model provided (default 1.5 * unitsPerMeter)
    multiFloorTransition: true,
    multiFloorTransitionInclineDelay: 2000, // time in msecs to tilt the zone (z1 and z2)
    multiFloorTransitionInclineAngle: 90, // Zone tilt angle (90 = fully horizontal)
    heightSpread: 25000,
    heightSpreadStep: 0.1, // zones spread animation stop (default 0.1). Smaller values more rendering.
    qrCodeSize: 110, // pixels
    maxDestinationsNb: 6,
    /* pathPartCollapseDistanceThreshold: 1000, // in model units */
    proxyBaseUrl: "https://mediafiles.abuzz.tech",


    labelsHorizontal: false,
    zoneButtonUseLongName: false,

    pathFullView: {
        camera: [17047, 108310, 51649],
        scene: [17463, 70736, 2942]
    },

    useTopCategories: false,
	searchByCellId: true,
    qrDarkColor: "#434444",


    clockDateFormat: "ddd, D MMM",
    clockTimeFormat: "hh:mm",
    weatherCity: "Lahore, Pakistan"
};

const customMainServicesCodes = ["info", "atm_", "toilets", "prayer_room", "baby", "parking"];
const servicesWithResultsList = ["parking", "dropoff", "atm_", "wheelchair", "valet", "info"];
const servicesWithResultsListSortField = "cellId";