const timePeriodsUR = {
    morning: "صبح",
    afternoon: "دوپہر",
    evening: "شام",
    night: "رات"
};

function getTimePeriodUR(hours) {
    if (hours < 12) {
        return timePeriodsUR.morning;
    } else if (hours < 17) {
        return timePeriodsUR.afternoon;
    } else if (hours < 20) {
        return timePeriodsUR.evening;
    } else {
        return timePeriodsUR.night;
    }
}

const ex_getTimeStr = getTimeStr;

getTimeStr = function(date) {
    if(currentLanguage === "UR") {
        let hours = date.hours();
        let minutes = date.minutes();
        let period = getTimePeriodUR(hours);

        minutes = minutes < 10 ? ('0' + minutes) : minutes;

        return `${hours}:${minutes} ${period}`;
    } else {
        return ex_getTimeStr(date);
    }
}


const ex_getServiceTransitionStr = getServiceTransitionStr;

getServiceTransitionStr = function(serviceName, zoneName, n1, n2) {
    if(currentLanguage === "UR") {
        return (serviceName + " " + (n1.zn !== n2.zn ? getTrans("to") : getTrans("on")) + " " + zoneName + " " + getTrans("take_the"));
    } else {
        return ex_getServiceTransitionStr(serviceName, zoneName, n1, n2);
    }
}

selectEventTagButton = function(tag, opts) {
    if(opts?.filterTag !== tag) {
        opts.filterTag = tag;
        populateEvents(opts);
        $("#eventsPanelWrapper .eventTagButton").removeClass("active");
        $("#eventsPanelWrapper .eventTagButton[data-filter='" + tag + "']").addClass("active");
    }
}